Bug 971029 - Oops at kmem_cache_alloc / do_fork
Oops at kmem_cache_alloc / do_fork
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-05 09:43 EDT by Marcelo Ricardo Leitner
Modified: 2013-10-08 13:13 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-08 13:13:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcelo Ricardo Leitner 2013-06-05 09:43:54 EDT
I'm not quite sure what triggered this, but the operation being done was:
- mounted cifs share, worked
- tried 'cd mountpoint', then ssh hanged, but ping was still working. Screen went blank and keyboard stopped.

After rebooting, same procedure worked just fine.

Dmesg snippet follows:
Jun  5 10:20:55 localhost kernel: [241594.728076] FS-Cache: Loaded
Jun  5 10:20:55 localhost kernel: [241594.759708] Key type dns_resolver registered
Jun  5 10:20:55 localhost kernel: [241594.821347] FS-Cache: Netfs 'cifs' registered for caching
Jun  5 10:20:55 localhost kernel: [241594.821906] Key type cifs.spnego registered
Jun  5 10:20:55 localhost kernel: [241594.821948] Key type cifs.idmap registered
Jun  5 10:20:58 localhost kernel: [241597.192234] BUG: unable to handle kernel paging request at 4611c000
Jun  5 10:20:58 localhost kernel: [241597.192579] IP: [<c0547642>] kmem_cache_alloc+0x52/0x1c0
Jun  5 10:20:58 localhost kernel: [241597.192849] *pdpt = 000000003299e001 *pde = 0000000000000000
Jun  5 10:20:58 localhost kernel: [241597.193024] Oops: 0000 [#1] SMP
Jun  5 10:20:58 localhost kernel: [241597.193024] Modules linked in: arc4 md4 nls_utf8 cifs dns_resolver fscache rtl8180 rtl8187 eeprom_93cx6 mac80211 cfg80211 fuse ipt_MASQUERADE nf_conntrack_netbios_ns nf_conntrack_broadcast ip6table_nat nf_nat_ipv6 ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle rfcomm bnep nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables iTCO_wdt iTCO_vendor_support msi_wmi sparse_keymap snd_hda_codec_realtek acpi_cpufreq mperf coretemp snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core videodev media snd_page_alloc snd_timer microcode snd joydev lpc_ich soundcore btusb bluetooth mfd_core rfkill r8169 mii wmi uinput i915 i2c_algo_bit drm_kms_helper drm i2c_core video ums_realtek usb_storage [last unloaded: rtl8187]
Jun  5 10:20:58 localhost kernel: [241597.193024] Pid: 9550, comm: bash Not tainted 3.9.4-300.fc19.i686.PAE #1 LG Electronics X110-L.B7WHP1/X110
Jun  5 10:20:58 localhost kernel: [241597.193024] EIP: 0060:[<c0547642>] EFLAGS: 00010206 CPU: 0
Jun  5 10:20:58 localhost kernel: [241597.193024] EIP is at kmem_cache_alloc+0x52/0x1c0
Jun  5 10:20:58 localhost kernel: [241597.193024] EAX: 00000000 EBX: e7addfe0 ECX: 0064efa5 EDX: 4611c000
Jun  5 10:20:58 localhost kernel: [241597.193024] ESI: 4611c000 EDI: f5801300 EBP: f29bbecc ESP: f29bbea0
Jun  5 10:20:58 localhost kernel: [241597.193024]  DS: 007b ES: 007b FS: 00d8 GS: 00e0 SS: 0068
Jun  5 10:20:58 localhost kernel: [241597.193024] CR0: 8005003b CR2: 4611c000 CR3: 25120000 CR4: 000007e0
Jun  5 10:20:58 localhost kernel: [241597.193024] DR0: 00000000 DR1: 00000000 DR2: 00000000 DR3: 00000000
Jun  5 10:20:58 localhost kernel: [241597.193024] DR6: ffff0ff0 DR7: 00000400
Jun  5 10:20:58 localhost kernel: [241597.193024] Process bash (pid: 9550, ti=f29ba000 task=c87d4c80 task.ti=f29ba000)
Jun  5 10:20:58 localhost kernel: [241597.193024] Stack:
Jun  5 10:20:58 localhost kernel: [241597.193024]  ef848340 ea0f4a20 f29bbecc c0535332 c05354c0 f5801300 000000d0 4611c000
Jun  5 10:20:58 localhost kernel: [241597.193024]  e7addfe0 ea2124e0 ea37a7e0 f29bbee8 c05354c0 000000d0 00000000 ea37a7e0
Jun  5 10:20:58 localhost kernel: [241597.193024]  ea21253c ea37a83c f29bbf28 c044aca3 ea37af10 ea2478bc f5094abc ea37a9d0
Jun  5 10:20:58 localhost kernel: [241597.193024] Call Trace:
Jun  5 10:20:58 localhost kernel: [241597.193024]  [<c0535332>] ? anon_vma_clone+0x82/0x110
Jun  5 10:20:58 localhost kernel: [241597.193024]  [<c05354c0>] ? anon_vma_fork+0x60/0xf0
Jun  5 10:20:58 localhost kernel: [241597.193024]  [<c05354c0>] anon_vma_fork+0x60/0xf0
Jun  5 10:20:58 localhost kernel: [241597.193024]  [<c044aca3>] dup_mm+0x273/0x4d0
Jun  5 10:20:58 localhost kernel: [241597.193024]  [<c044be8a>] copy_process.part.34+0xf5a/0x1060
Jun  5 10:20:58 localhost kernel: [241597.193024]  [<c044c065>] do_fork+0x95/0x310
Jun  5 10:20:58 localhost kernel: [241597.193024]  [<c04c053e>] ? __audit_syscall_exit+0x1ce/0x260
Jun  5 10:20:58 localhost kernel: [241597.193024]  [<c044c3a5>] sys_clone+0x25/0x30
Jun  5 10:20:58 localhost kernel: [241597.193024]  [<c099a6cd>] sysenter_do_call+0x12/0x28
Jun  5 10:20:58 localhost kernel: [241597.193024] Code: 75 ab 44 00 3e 8d 74 26 00 8b 7d e8 8b 07 64 03 05 54 20 d0 c0 8b 48 04 8b 10 85 d2 89 55 f0 0f 84 06 01 00 00 8b 75 f0 8b 47 14 <8b> 1c 06 8b 37 f7 c6 07 00 00 00 0f 85 2d 01 00 00 8d 41 01 89
Jun  5 10:20:58 localhost kernel: [241597.193024] EIP: [<c0547642>] kmem_cache_alloc+0x52/0x1c0 SS:ESP 0068:f29bbea0
Jun  5 10:20:58 localhost kernel: [241597.193024] CR2: 000000004611c000
Jun  5 10:20:58 localhost kernel: [241597.312140] ---[ end trace a99b690a74c75916 ]---

There were subsequent Oopses after this one.

This system is a:
model name      : Intel(R) Atom(TM) CPU N270   @ 1.60GHz
dual core

# free  (after reboot, just for total mem info)
             total       used       free     shared    buffers     cached
Mem:       1015120     997192      17928          0      16532     844772
-/+ buffers/cache:     135888     879232
Swap:      2129916          0    2129916

And I can't say about how was memory usage. Graphical environment (MATE) was up & logged in, but without any heavy app opened.

# lspci
00:00.0 Host bridge: Intel Corporation Mobile 945GSE Express Memory Controller Hub (rev 03)
00:02.0 VGA compatible controller: Intel Corporation Mobile 945GSE Express Integrated Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller (rev 03)
00:1b.0 Audio device: Intel Corporation NM10/ICH7 Family High Definition Audio Controller (rev 02)
00:1c.0 PCI bridge: Intel Corporation NM10/ICH7 Family PCI Express Port 1 (rev 02)
00:1c.2 PCI bridge: Intel Corporation NM10/ICH7 Family PCI Express Port 3 (rev 02)
00:1d.0 USB controller: Intel Corporation NM10/ICH7 Family USB UHCI Controller #1 (rev 02)
00:1d.1 USB controller: Intel Corporation NM10/ICH7 Family USB UHCI Controller #2 (rev 02)
00:1d.2 USB controller: Intel Corporation NM10/ICH7 Family USB UHCI Controller #3 (rev 02)
00:1d.3 USB controller: Intel Corporation NM10/ICH7 Family USB UHCI Controller #4 (rev 02)
00:1d.7 USB controller: Intel Corporation NM10/ICH7 Family USB2 EHCI Controller (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev e2)
00:1f.0 ISA bridge: Intel Corporation 82801GBM (ICH7-M) LPC Interface Bridge (rev 02)
00:1f.2 IDE interface: Intel Corporation 82801GBM/GHM (ICH7-M Family) SATA Controller [IDE mode] (rev 02)
01:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8101E/RTL8102E PCI Express Fast Ethernet controller (rev 02)
02:00.0 Network controller: Realtek Semiconductor Co., Ltd. RTL8187SE Wireless LAN Controller (rev 22)

Wireless has some modules loaded but was not being used.

This happened once, in a full week uptime. F19 is installed on it no longer than that.

Let me know if you need more info. Thanks.
Comment 1 Josh Boyer 2013-09-18 16:36:44 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 2 Josh Boyer 2013-10-08 13:13:22 EDT
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.